# $Revision: 1.9 $, $Date: 2012/01/15 19:36:34 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Text
%define	pnam	SimpleTable
Summary:	Text::SimpleTable - Simple Eyecandy ASCII Tables
Summary(pl.UTF-8):	Text::SimpleTable - proste, ładne tabele ASCII
Name:		perl-Text-SimpleTable
Version:	2.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a79a1f53846c111e8f6056702c39fa17
URL:		http://search.cpan.org/dist/Text-SimpleTable/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple eyecandy ASCII tables, as seen in Catalyst.

%description -l pl.UTF-8
Proste, ładne tabele ASCII, takie jakie można zobaczyć w Catalyście.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Text/*.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-SimpleTable.spec,v $
Revision 1.9  2012/01/15 19:36:34  zbyniu
- up to 2.03

Revision 1.8  2009/10/16 07:24:07  amateja
- updated to 2.0

Revision 1.7  2008/07/27 22:55:58  arekm
- release 2

Revision 1.6  2007-03-31 20:12:59  qboosh
- BR: perl-Module-Build

Revision 1.5  2007/02/13 07:47:15  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.3  2006/01/30 17:11:12  migo
- up to 0.03

Revision 1.2  2005/11/15 22:41:04  qboosh
- pl, generic URL

Revision 1.1  2005/11/11 10:53:33  migo
- initial revision
